<?php
$template = <<<END
<!--{def item/title}-->
<h3>{val item/title}</h3>
<!--{/def}-->
<ul class="submenu">
<!--{each item/list}-->
<li><a href="{val item/list/link}">{val item/list/menu}</a></li>
<!--{/each}-->
</ul>
END;

$block_side_menu = array(
	"title" => "サイドメニュー",
	"name" => "block_side_menu",	// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"type" => "@side",				// この名称のページのみで使用可能
	"output" => "side_contents",	// 出力場所
	"input" => array(
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_side_menu",
			"class" => "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
		),
		"menu1" => array(
			"title" => "メニュー1",
			"type" => "text",
		),
		"link1" => array(
			"title" => "リンク先1",
			"type" => "text",
		),
		"menu2" => array(
			"title" => "メニュー2",
			"type" => "text",
		),
		"link2" => array(
			"title" => "リンク先2",
			"type" => "text",
		),
		"menu3" => array(
			"title" => "メニュー3",
			"type" => "text",
		),
		"link3" => array(
			"title" => "リンク先3",
			"type" => "text",
		),
		"menu4" => array(
			"title" => "メニュー4",
			"type" => "text",
		),
		"link4" => array(
			"title" => "リンク先4",
			"type" => "text",
		),
		"menu5" => array(
			"title" => "メニュー5",
			"type" => "text",
		),
		"link5" => array(
			"title" => "リンク先5",
			"type" => "text",
		),
		"menu6" => array(
			"title" => "メニュー6",
			"type" => "text",
		),
		"link6" => array(
			"title" => "リンク先6",
			"type" => "text",
		),
		"menu7" => array(
			"title" => "メニュー7",
			"type" => "text",
		),
		"link7" => array(
			"title" => "リンク先7",
			"type" => "text",
		),
		"menu8" => array(
			"title" => "メニュー8",
			"type" => "text",
		),
		"link8" => array(
			"title" => "リンク先8",
			"type" => "text",
		),
		"menu9" => array(
			"title" => "メニュー9",
			"type" => "text",
		),
		"link9" => array(
			"title" => "リンク先9",
			"type" => "text",
		),
		"menu10" => array(
			"title" => "メニュー10",
			"type" => "text",
		),
		"link10" => array(
			"title" => "リンク先10",
			"type" => "text",
		),
	),
	"repeat" => array(
		"menu", "link",
	),
);

block_add($block_side_menu);
